﻿#ifndef HDRPR_MATERIAL_FACTORY_UBER_H
#define HDRPR_MATERIAL_FACTORY_UBER_H

#include "materialFactory.h"
#include "RprSupport.h"

#include "pxr/base/gf/vec4f.h"

PXR_NAMESPACE_OPEN_SCOPE

class HdRprMaterialFactoryUber : public HdRprMaterialFactory
{
public:
	HdRprMaterialFactoryUber(rpr_material_system matSys);
	virtual ~HdRprMaterialFactoryUber();

	virtual RprMaterialObject * CreateMaterial(const MaterialNode & root);

	virtual void DeleteMaterial(RprMaterialObject * material);

	virtual void AttachMaterialToShape(const RprApiObject shape, const RprMaterialObject * material);

	virtual RprMaterialObject * CreateMaterialFromColor(const GfVec4f & color);

private:
	rprx_context m_contextX = nullptr;
};

PXR_NAMESPACE_CLOSE_SCOPE

#endif // HDRPR_MATERIAL_FACTORY_UBER_H
